#include "http_status_config.h"

THttpStatusManagerConfig::THttpStatusManagerConfig(const TYandexConfig::Directives& directives)
    : THttpStatusManagerConfig()
{
#define Parse(x) x = directives.Value(#x, x)
    Parse(IncompleteStatus);
    Parse(SyntaxErrorStatus);
    Parse(EmptyRequestStatus);
    Parse(EmptySetStatus);
    Parse(UnknownErrorStatus);
    Parse(TimeoutStatus);
    Parse(PartialStatus);
    Parse(NotFetchedStatus);
    Parse(UnavailableStatus);
    Parse(PartialThreshold);
#undef Parse
}
